# _GradientInfo Struct Reference

`#include <draw.h>`

## Data Fields

GradientType | type
RectangleInfo | bounding_box
SegmentInfo | gradient_vector
StopInfo * | stops
unsigned long | number_stops
SpreadMethod | spread
MagickBooleanType | debug
unsigned long | signature

## Field Documentation

GradientType _GradientInfo::type

RectangleInfo _GradientInfo::bounding_box

SegmentInfo _GradientInfo::gradient_vector

StopInfo* _GradientInfo::stops

unsigned long _GradientInfo::number_stops

SpreadMethod _GradientInfo::spread

MagickBooleanType _GradientInfo::debug

unsigned long _GradientInfo::signature

The documentation for this struct was generated from the following file:

- draw.h